diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/TestAlertSettings.java
--- a/nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/TestAlertSettings.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/TestAlertSettings.java	Fri Mar 26 09:05:32 2010 +0100
@@ -1,4 +1,5 @@
 package org.nuxeo.ecm.usersettings.alert.core;
+
 /*
  * (C) Copyright 2006-2007 Nuxeo SAS (http://nuxeo.com/) and contributors.
  *
@@ -18,8 +19,6 @@
  * $Id: TestMultiDirectory.java 30378 2008-02-20 17:37:26Z gracinet $
  */
 
-
-
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentModel;
 import org.nuxeo.ecm.core.api.DocumentModelList;
@@ -36,87 +35,90 @@
 public class TestAlertSettings extends RepositoryOSGITestCase {
 
     private CoreSession session;
+
     private UserSettingsService service;
 
-    
     @Override
     public void setUp() throws Exception {
 
-	super.setUp();
+        super.setUp();
 
-	// Bundle to be tested
-	deployBundle("org.nuxeo.ecm.usersettings.types");
-	deployBundle("org.nuxeo.ecm.usersettings.api");
-	deployBundle("org.nuxeo.ecm.usersettings.core");
-	deployBundle("org.nuxeo.ecm.usersettings.alert.types");
-	deployBundle("org.nuxeo.ecm.usersettings.alert.core");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
-	deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        // Bundle to be tested
+        deployBundle("org.nuxeo.ecm.usersettings.types");
+        deployBundle("org.nuxeo.ecm.usersettings.api");
+        deployBundle("org.nuxeo.ecm.usersettings.core");
+        deployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        deployBundle("org.nuxeo.ecm.usersettings.alert.core");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        deployBundle("org.nuxeo.ecm.platform.userworkspace.core");
 
-	// Initialize the test environment
-	openRepositoryAsUser("Administrator");
-	session = getCoreSession();
-	getRootWorkspace();
+        // Initialize the test environment
+        openRepositoryAsUser("Administrator");
+        session = getCoreSession();
+        getRootWorkspace();
 
-	service = Framework.getLocalService(UserSettingsService.class);
+        service = Framework.getLocalService(UserSettingsService.class);
 
     }
 
-
     @Override
     public void tearDown() throws Exception {
 
-	try {
-	    Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	} catch (Exception e) {
-	}
+        try {
+            Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        } catch (Exception e) {
+        }
 
-	closeRepository();
+        closeRepository();
 
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.api"); 
-	undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
-	undeployBundle("org.nuxeo.ecm.usersettings.alert.core");
-	undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
-	undeployBundle("org.nuxeo.ecm.usersettings.core");
-	undeployBundle("org.nuxeo.ecm.usersettings.api");
-	undeployBundle("org.nuxeo.ecm.usersettings.types");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.core");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.api");
+        undeployBundle("org.nuxeo.ecm.platform.userworkspace.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.alert.core");
+        undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.core");
+        undeployBundle("org.nuxeo.ecm.usersettings.api");
+        undeployBundle("org.nuxeo.ecm.usersettings.types");
 
-	super.tearDown();
+        super.tearDown();
 
     }
 
     public void testGetAllCurrentUserSettings() throws Exception {
-	
-	assertEquals(1, service.getAllRegisteredProviders().size());
-	DocumentModelList result = service.getCurrentUserSettings(session, AlertSettingsType.DOCTYPE);
-	assertNotNull(result);
-	assertEquals(1, result.size());
-	DocumentModel doc = result.get(0);
-	assertTrue(doc.getType().equals(AlertSettingsType.DOCTYPE));
-	AlertSettingsWrapper w = new AlertSettingsWrapper(doc);
 
-	assertTrue(w.getNotificationPolicy().equals(AlertSettingsType.NOTIFICATION_POLICY_BOTH));
-	assertTrue(w.getSummaryFrequency().equals(AlertSettingsType.SUMMARY_FREQUENCY_DAILY));
-	assertTrue(w.getIncludeFutureTasks());
-	assertTrue(7L==w.getIncludeFutureTasksDelay());
-	assertFalse(w.getIncludeTasksWithoutDueDate());
+        assertEquals(1, service.getAllRegisteredProviders().size());
+        DocumentModelList result = service.getCurrentUserSettings(session,
+                AlertSettingsType.DOCTYPE);
+        assertNotNull(result);
+        assertEquals(1, result.size());
+        DocumentModel doc = result.get(0);
+        assertTrue(doc.getType().equals(AlertSettingsType.DOCTYPE));
+        AlertSettingsWrapper w = new AlertSettingsWrapper(doc);
 
-	w.setNotificationPolicy(AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE);
-	w.setSummaryFrequency(AlertSettingsType.SUMMARY_FREQUENCY_NEVER);
-	w.setIncludeFutureTasks(false);
-	w.setIncludeFutureTasksDelay(15L);
-	w.setIncludeTasksWithoutDueDate(true);
-	
-	session.saveDocument(doc);
-	
-	assertTrue(w.getNotificationPolicy().equals(AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE));
-	assertTrue(w.getSummaryFrequency().equals(AlertSettingsType.SUMMARY_FREQUENCY_NEVER));
-	assertFalse(w.getIncludeFutureTasks());
-	assertTrue(15L==w.getIncludeFutureTasksDelay());
-	assertTrue(w.getIncludeTasksWithoutDueDate());
+        assertTrue(w.getNotificationPolicy().equals(
+                AlertSettingsType.NOTIFICATION_POLICY_BOTH));
+        assertTrue(w.getSummaryFrequency().equals(
+                AlertSettingsType.SUMMARY_FREQUENCY_DAILY));
+        assertTrue(w.getIncludeFutureTasks());
+        assertTrue(7L == w.getIncludeFutureTasksDelay());
+        assertFalse(w.getIncludeTasksWithoutDueDate());
 
+        w.setNotificationPolicy(AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE);
+        w.setSummaryFrequency(AlertSettingsType.SUMMARY_FREQUENCY_NEVER);
+        w.setIncludeFutureTasks(false);
+        w.setIncludeFutureTasksDelay(15L);
+        w.setIncludeTasksWithoutDueDate(true);
+
+        session.saveDocument(doc);
+
+        assertTrue(w.getNotificationPolicy().equals(
+                AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE));
+        assertTrue(w.getSummaryFrequency().equals(
+                AlertSettingsType.SUMMARY_FREQUENCY_NEVER));
+        assertFalse(w.getIncludeFutureTasks());
+        assertTrue(15L == w.getIncludeFutureTasksDelay());
+        assertTrue(w.getIncludeTasksWithoutDueDate());
 
     }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java
--- a/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java	Fri Mar 26 09:05:32 2010 +0100
@@ -7,69 +7,90 @@
 
 public class AlertSettingsWrapper implements AlertSettingsType {
 
-	public DocumentModel doc;
+    public DocumentModel doc;
 
-	public AlertSettingsWrapper(DocumentModel userSettings) throws ClientException {
+    public AlertSettingsWrapper(DocumentModel userSettings)
+            throws ClientException {
 
-		doc = userSettings;
+        doc = userSettings;
 
-	}
+    }
 
-	public void setUser(String user) throws ClientException {
-		doc.setProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER, user);
-	}
+    public void setUser(String user) throws ClientException {
+        doc.setProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER,
+                user);
+    }
 
-	public String getUser() throws ClientException {
-		return (String) doc.getProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER);
-	}
+    public String getUser() throws ClientException {
+        return (String) doc.getProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER);
+    }
 
-	public void setNotificationPolicy(String notificationPolicy) throws ClientException {
-		doc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_NOTIFICATION_POLICY, notificationPolicy);
-	}
+    public void setNotificationPolicy(String notificationPolicy)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_NOTIFICATION_POLICY, notificationPolicy);
+    }
 
-	public String getNotificationPolicy() throws ClientException {
-		return (String) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_NOTIFICATION_POLICY);
-	}
+    public String getNotificationPolicy() throws ClientException {
+        return (String) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_NOTIFICATION_POLICY);
+    }
 
-	public void setSummaryFrequency(String summaryFrequency) throws ClientException {
-		doc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_SUMMARY_FREQUENCY, summaryFrequency);
-	}
+    public void setSummaryFrequency(String summaryFrequency)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_SUMMARY_FREQUENCY, summaryFrequency);
+    }
 
-	public String getSummaryFrequency() throws ClientException {
-		return (String) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_SUMMARY_FREQUENCY);
-	}
+    public String getSummaryFrequency() throws ClientException {
+        return (String) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_SUMMARY_FREQUENCY);
+    }
 
-	public void setIncludeFutureTasks(Boolean includeFutureTasks) throws ClientException {
-		doc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS, includeFutureTasks);
-	}
+    public void setIncludeFutureTasks(Boolean includeFutureTasks)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS, includeFutureTasks);
+    }
 
-	public Boolean getIncludeFutureTasks() throws ClientException {
-		return (Boolean) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS);
-	}
+    public Boolean getIncludeFutureTasks() throws ClientException {
+        return (Boolean) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS);
+    }
 
-	public void setIncludeFutureTasksDelay(Long includeFutureTasksDelay) throws ClientException {
-		doc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY, includeFutureTasksDelay);
-	}
+    public void setIncludeFutureTasksDelay(Long includeFutureTasksDelay)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY,
+                includeFutureTasksDelay);
+    }
 
-	public Long getIncludeFutureTasksDelay() throws ClientException {
-		return (Long) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY);
-	}
+    public Long getIncludeFutureTasksDelay() throws ClientException {
+        return (Long) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY);
+    }
 
-	public void setIncludeTasksWithoutDueDate(Boolean includeTasksWithoutDueDate) throws ClientException {
-		doc
-				.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE,
-						includeTasksWithoutDueDate);
-	}
+    public void setIncludeTasksWithoutDueDate(Boolean includeTasksWithoutDueDate)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE,
+                includeTasksWithoutDueDate);
+    }
 
-	public Boolean getIncludeTasksWithoutDueDate() throws ClientException {
-		return (Boolean) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE);
-	}
+    public Boolean getIncludeTasksWithoutDueDate() throws ClientException {
+        return (Boolean) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE);
+    }
 
-	public void setAlertDeliveryChannel(String alertChannel) throws ClientException {
-		doc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_ALERT_CHANNEL, alertChannel);
-	}
+    public void setAlertDeliveryChannel(String alertChannel)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_ALERT_CHANNEL, alertChannel);
+    }
 
-	public String getAlertDeliveryChannel() throws ClientException {
-		return (String) doc.getProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_ALERT_CHANNEL);
-	}
+    public String getAlertDeliveryChannel() throws ClientException {
+        return (String) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_ALERT_CHANNEL);
+    }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/RepositoryOSGITestCase.java
--- a/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -50,156 +50,157 @@
     public static final String REPOSITORY_NAME = "demo";
 
     public static final String DOMAIN_NAME = "demo-domain";
-    
-    
+
     protected Repository repository;
 
     protected CoreSession coreSession;
 
     protected DocumentModel rootWorkspace = null;
-    
+
     protected DocumentModel domain = null;
 
     protected RepositoryOSGITestCase() {
     }
 
     protected RepositoryOSGITestCase(String name) {
-	super(name);
+        super(name);
     }
 
     protected void undeployBundle(String name) throws BundleException {
-	osgi.getRegistry().getBundle(name).uninstall();
+        osgi.getRegistry().getBundle(name).uninstall();
     }
-    
-    
+
     @Override
     public void setUp() throws Exception {
-	super.setUp();
-	
-	deployBundle("org.nuxeo.ecm.core.schema");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	
+        super.setUp();
+
+        deployBundle("org.nuxeo.ecm.core.schema");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.jcr");
+
     }
 
     @Override
     public void tearDown() throws Exception {
-	
-	Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	releaseCoreSession();
-	releaseRepository();
-	
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.schema");
 
-	super.tearDown();
+        Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        releaseCoreSession();
+        releaseRepository();
+
+        deployBundle("org.nuxeo.ecm.core.jcr");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.schema");
+
+        super.tearDown();
     }
 
     protected void openRepositoryAsUser(String userName) throws Exception {
-	if (repository == null) {
-	    // the repository should be deployed the last
-	    // after any other bundle that is doctypes
-	    // this is nuxeo-core-jcr-connector-test
-	    repositoryDeploy();
-	    repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(REPOSITORY_NAME);
-	}
-	openCoreSession(userName);
+        if (repository == null) {
+            // the repository should be deployed the last
+            // after any other bundle that is doctypes
+            // this is nuxeo-core-jcr-connector-test
+            repositoryDeploy();
+            repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(
+                    REPOSITORY_NAME);
+        }
+        openCoreSession(userName);
     }
 
     protected void closeRepository() throws Exception {
-	releaseCoreSession();
-	releaseRepository();
-	repositoryUndeploy();
+        releaseCoreSession();
+        releaseRepository();
+        repositoryUndeploy();
     }
-    
+
     protected void repositoryDeploy() throws Exception {
-	if (!isRepositoryBundleDeployed) {
-	    deployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = true;
-	}
+        if (!isRepositoryBundleDeployed) {
+            deployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = true;
+        }
     }
 
     protected void repositoryUndeploy() throws Exception {
-	if (isRepositoryBundleDeployed) {
-	    undeployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = false;
-	}
+        if (isRepositoryBundleDeployed) {
+            undeployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = false;
+        }
     }
 
-
     public void openRepository() throws Exception {
-	openRepositoryAsUser("Administrator");
+        openRepositoryAsUser("Administrator");
     }
 
     public void openRepositoryWithSystemPrivileges() throws Exception {
-	openRepositoryAsUser(null);
+        openRepositoryAsUser(null);
     }
 
     public CoreSession getCoreSession() {
-	return coreSession;
+        return coreSession;
     }
 
     protected Repository getRepository() {
-	return repository;
+        return repository;
     }
 
     protected DocumentModel getRootWorkspace() throws ClientException {
-	if (rootWorkspace == null)
-	    createRootWorkspace();
-	return rootWorkspace;
+        if (rootWorkspace == null)
+            createRootWorkspace();
+        return rootWorkspace;
     }
 
     private void createRootWorkspace() throws ClientException {
-	domain = coreSession.createDocumentModel("/", RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
-	domain = coreSession.createDocument(domain);
-	assertNotNull(domain);
-	rootWorkspace = coreSession.createDocumentModel(domain.getPathAsString(), RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace = coreSession.createDocument(rootWorkspace);
-	coreSession.save();
+        domain = coreSession.createDocumentModel("/",
+                RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
+        domain = coreSession.createDocument(domain);
+        assertNotNull(domain);
+        rootWorkspace = coreSession.createDocumentModel(
+                domain.getPathAsString(),
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = coreSession.createDocument(rootWorkspace);
+        coreSession.save();
     }
 
     protected void openCoreSession(String userName) throws ClientException {
-	Map<String, Serializable> ctx = new HashMap<String, Serializable>();
-	ctx.put("username", userName);
-	coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
-	assertNotNull(coreSession);
+        Map<String, Serializable> ctx = new HashMap<String, Serializable>();
+        ctx.put("username", userName);
+        coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
+        assertNotNull(coreSession);
     }
 
     public void changeUser(String newUser) throws ClientException {
-	releaseCoreSession();
-	openCoreSession(newUser);
+        releaseCoreSession();
+        openCoreSession(newUser);
     }
 
     public void releaseRepository() {
-	if (repository != null) {
-	    repository.shutdown();
-	    repository = null;
-	}
+        if (repository != null) {
+            repository.shutdown();
+            repository = null;
+        }
     }
 
     public void releaseCoreSession() {
-	if (coreSession != null) {
-	    CoreInstance.getInstance().close(coreSession);
-	    coreSession = null;
-	}
+        if (coreSession != null) {
+            CoreInstance.getInstance().close(coreSession);
+            coreSession = null;
+        }
     }
 
     protected Session getSession() throws DocumentException {
-	return repository.getSession(null);
+        return repository.getSession(null);
     }
 
     protected EventServiceImpl eventService;
 
     protected void waitForEventsDispatched() {
-	if (eventService == null) {
-	    eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
-	}
-	eventService.waitForAsyncCompletion();
+        if (eventService == null) {
+            eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
+        }
+        eventService.waitForAsyncCompletion();
     }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java
--- a/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java	Fri Mar 26 09:05:32 2010 +0100
@@ -19,7 +19,6 @@
 
 package com.nuxeo.ecm.alertsettings.types;
 
-
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentModel;
@@ -32,78 +31,76 @@
 
 import com.nuxeo.ecm.usersettings.types.UserSettingsType;
 
-
-
 /**
  * @author <a href="mailto:christophe.capon@vilogia.fr">Christophe Capon</a>
  */
 public class TestAlertSettings extends RepositoryOSGITestCase {
 
-    
     private static final String TEST_USERNAME1 = "testusername";
+
     private static final String TEST_USERNAME2 = "testusername2";
-    
+
     private CoreSession session;
+
     private DocumentModel root;
 
-    
     @Override
     public void setUp() throws Exception {
 
-	super.setUp();
+        super.setUp();
 
-	// Bundle to be tested
-	deployBundle("org.nuxeo.ecm.usersettings.types");
-	deployBundle("org.nuxeo.ecm.usersettings.api");
-	deployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        // Bundle to be tested
+        deployBundle("org.nuxeo.ecm.usersettings.types");
+        deployBundle("org.nuxeo.ecm.usersettings.api");
+        deployBundle("org.nuxeo.ecm.usersettings.alert.types");
 
+        // Initialize the test environment
+        openRepositoryAsUser("Administrator");
+        session = getCoreSession();
+        root = getRootWorkspace();
 
-	// Initialize the test environment
-	openRepositoryAsUser("Administrator");
-	session = getCoreSession();
-	root = getRootWorkspace();
-
-	checkDeployment();
+        checkDeployment();
 
     }
 
     private void checkDeployment() throws Exception {
-	SchemaManager smgr = Framework.getService(SchemaManager.class);
+        SchemaManager smgr = Framework.getService(SchemaManager.class);
 
-	assertNotNull(smgr);
+        assertNotNull(smgr);
 
-	assertNotNull(smgr.getSchema(UserSettingsType.SCHEMA));
-	assertNotNull(smgr.getSchema(AlertSettingsType.SCHEMA));
+        assertNotNull(smgr.getSchema(UserSettingsType.SCHEMA));
+        assertNotNull(smgr.getSchema(AlertSettingsType.SCHEMA));
 
-	assertNotNull(smgr.getDocumentType(UserSettingsType.DOCTYPE));
-	assertNotNull(smgr.getDocumentType(AlertSettingsType.DOCTYPE));
+        assertNotNull(smgr.getDocumentType(UserSettingsType.DOCTYPE));
+        assertNotNull(smgr.getDocumentType(AlertSettingsType.DOCTYPE));
 
     }
 
     @Override
     public void tearDown() throws Exception {
 
-	try {
-	    Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	} catch (Exception e) {
-	}
+        try {
+            Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        } catch (Exception e) {
+        }
 
-	closeRepository();
+        closeRepository();
 
-	undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
-	undeployBundle("org.nuxeo.ecm.usersettings.api");
-	undeployBundle("org.nuxeo.ecm.usersettings.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.alert.types");
+        undeployBundle("org.nuxeo.ecm.usersettings.api");
+        undeployBundle("org.nuxeo.ecm.usersettings.types");
 
-	super.tearDown();
+        super.tearDown();
 
     }
 
     public void testCreateAlertSettingsDocument() throws Exception {
         DocumentModel doc = createAlertSettingsDoc();
-        Object o = doc.getProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER);
+        Object o = doc.getProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER);
         assertNotNull(o);
         assertTrue(o instanceof String);
-        assertEquals(TEST_USERNAME1, (String)o);
+        assertEquals(TEST_USERNAME1, (String) o);
         session.removeDocument(new IdRef(doc.getId()));
     }
 
@@ -112,37 +109,48 @@
         AlertSettingsWrapper w = new AlertSettingsWrapper(doc);
         assertEquals(TEST_USERNAME1, w.getUser());
         assertFalse(w.getIncludeFutureTasks());
-        assertTrue(20L==w.getIncludeFutureTasksDelay());
+        assertTrue(20L == w.getIncludeFutureTasksDelay());
         assertFalse(w.getIncludeTasksWithoutDueDate());
-        assertEquals(AlertSettingsType.NOTIFICATION_POLICY_BOTH, w.getNotificationPolicy());
-        assertEquals(AlertSettingsType.SUMMARY_FREQUENCY_DAILY, w.getSummaryFrequency());
-        assertEquals(AlertSettingsType.ALERT_CHANNEL_TEXT_MAIL, w.getAlertDeliveryChannel());
+        assertEquals(AlertSettingsType.NOTIFICATION_POLICY_BOTH,
+                w.getNotificationPolicy());
+        assertEquals(AlertSettingsType.SUMMARY_FREQUENCY_DAILY,
+                w.getSummaryFrequency());
+        assertEquals(AlertSettingsType.ALERT_CHANNEL_TEXT_MAIL,
+                w.getAlertDeliveryChannel());
         w.setUser(TEST_USERNAME2);
         session.saveDocument(doc);
-        assertEquals(TEST_USERNAME2, w.getUser());        
+        assertEquals(TEST_USERNAME2, w.getUser());
         session.removeDocument(new IdRef(doc.getId()));
     }
 
     private DocumentModel createAlertSettingsDoc() throws ClientException {
-	
-	DocumentModel testDoc = session.createDocumentModel(root.getPathAsString(), "UserSettingsInstance", "AlertSettings");
+
+        DocumentModel testDoc = session.createDocumentModel(
+                root.getPathAsString(), "UserSettingsInstance", "AlertSettings");
         assertNotNull(testDoc);
-        
-        testDoc.setProperty(UserSettingsType.SCHEMA, UserSettingsType.PROP_USER, TEST_USERNAME1);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS, false);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY, 20);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE, false);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_NOTIFICATION_POLICY, AlertSettingsType.NOTIFICATION_POLICY_BOTH);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_SUMMARY_FREQUENCY, AlertSettingsType.SUMMARY_FREQUENCY_DAILY);
-        testDoc.setProperty(AlertSettingsType.SCHEMA, AlertSettingsType.PROP_ALERT_CHANNEL, AlertSettingsType.ALERT_CHANNEL_TEXT_MAIL);
+
+        testDoc.setProperty(UserSettingsType.SCHEMA,
+                UserSettingsType.PROP_USER, TEST_USERNAME1);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS, false);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY, 20);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE, false);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_NOTIFICATION_POLICY,
+                AlertSettingsType.NOTIFICATION_POLICY_BOTH);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_SUMMARY_FREQUENCY,
+                AlertSettingsType.SUMMARY_FREQUENCY_DAILY);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_ALERT_CHANNEL,
+                AlertSettingsType.ALERT_CHANNEL_TEXT_MAIL);
 
         testDoc = session.createDocument(testDoc);
         session.saveDocument(testDoc);
-	return testDoc;
-	
+        return testDoc;
+
     }
-    
-    
 
- 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsProvider.java
--- a/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsProvider.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-api/src/main/java/org/nuxeo/ecm/usersettings/UserSettingsProvider.java	Fri Mar 26 09:05:32 2010 +0100
@@ -8,10 +8,11 @@
 
 public interface UserSettingsProvider {
 
-    public Boolean isTypeSupported(String type) ;
+    public Boolean isTypeSupported(String type);
 
-    public Boolean isTypeSupported(DocumentType type) ;    
+    public Boolean isTypeSupported(DocumentType type);
 
-    public DocumentModelList getUserSettings(DocumentModel userWorkspace, CoreSession coreSession, String userName) throws ClientException;
+    public DocumentModelList getUserSettings(DocumentModel userWorkspace,
+            CoreSession coreSession, String userName) throws ClientException;
 
 }
